# $Revision: 1.82.2.19 $, $Date: 2004/10/31 12:33:56 $
#
# Conditional build:
%bcond_without	imode		# don't build interactive mode
%bcond_without	curl		# don't link curl
%bcond_with	static		# don't use shared libraries
#
Summary:	RPM packages management helper tool
Summary(pl):	Pomocnicze narzdzie do zarzdzania pakietami RPM
Name:		poldek
Version:	0.18.3
Release:	6
License:	GPL v2
Group:		Applications/System
Source0:	http://team.pld.org.pl/~mis/poldek/download/%{name}-%{version}.tar.gz
# Source0-md5:	339c54b86bfd733851c0f7125057f446
Source1:	%{name}.conf
Patch0:		%{name}-retr_term.patch
Patch1:		%{name}-sigsegv.patch
URL:		http://team.pld.org.pl/~mis/poldek/
BuildRequires:	/usr/bin/pod2man
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bzip2-devel
%{?with_static:BuildRequires:	bzip2-static}
%{?with_curl:BuildRequires:	curl-devel >= 7.8}
%{?with_curl:%{?with_static:BuildRequires:	curl-static}}
%{?with_static:BuildRequires:  db1-static}
%{?with_static:BuildRequires:  db3-static}
BuildRequires:	openssl-devel >= 0.9.6m
%{?with_static:BuildRequires:	openssl-static}
BuildRequires:	pcre-devel
%{?with_static:BuildRequires:	pcre-static}
BuildRequires:	popt-devel
%{?with_static:BuildRequires:	popt-static}
BuildRequires:	readline-devel
BuildRequires:	rpm-devel >= 4.0.2-62
%{?with_static:BuildRequires:	rpm-static}
BuildRequires:	zlib-devel
%{?with_static:BuildRequires:	zlib-static}
Requires:	ed
Requires:	rpm >= 4.0.2-62
Requires:	sed
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
poldek is an RPM package management tool which allows you to easily
perform package verification, installation (including system
installation from scratch), upgrading, and removal.

Program can be used in batch (like apt-get from Debian's APT) or
interactive mode. The interactive mode puts you into a readline
interface with command line autocompletion and history, similar to the
shell mode of Perl's CPAN.

%{?with_static:This version is statically linked.}

%{!?with_imode:This version hasn't got interactive mode.}

%description -l pl
poldek jest narzdziem linii polece sucym do weryfikacji,
instalacji (wczajc instalacj systemu od zera), aktualizacji
i usuwania pakietw.

Program moe by uywany w trybie wsadowym (jak debianowy apt-get)
lub interaktywnym. Tryb interaktywny posiada interfejs readline
z dopenianiem komend i histori, podobny do trybu shell perlowego
moduu CPAN.

%{?with_static:Ta wersja jest konsolidowana statycznie.}

%{!?with_imode:Ta wersja nie posiada trybu interaktywnego.}

%prep
%setup -q
%patch0 -p1
%patch1 -p0

%build
if ! grep -q AM_GNU_GETTEXT_VERSION configure.in ; then
	cp configure.in configure.in.orig
	sed -e 's/AM_GNU_GETTEXT\(.*\)/AM_GNU_GETTEXT\1\
AM_GNU_GETTEXT_VERSION(0.10.40)/' \
		-e 's=po/Makefile.in=po/Makefile.in intl/Makefile=' \
		configure.in.orig >configure.in
	autopoint --force
fi
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure \
	%{?with_static:--enable-static} \
	%{!?with_imode:--disable-imode} \
	%{?with_curl:--with-curl}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}

# no strip cause program's beta stage and core may be useful
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{?with_static:rm -f $RPM_BUILD_ROOT/%{_bindir}/rpmvercmp}
sed "s|%%ARCH%%|%{_target_cpu}|g" < %{SOURCE1} > $RPM_BUILD_ROOT/etc/%{name}.conf

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%triggerpostun -- poldek <= 0.18.3-4
echo -e ',s://ftp.pld-linux.org://ftp.%{_target_cpu}.ra.pld-linux.org:g\n,w' | ed -s /etc/poldek.conf

%triggerpostun -- poldek <= 0.18.3-1
if ! grep -q promoteepoch /etc/poldek.conf ; then
	echo promoteepoch = yes >>/etc/poldek.conf
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README* NEWS TODO *sample* conf/poldekrc*
%attr(644,root,root) %config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/%{name}.conf
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/%{name}*
%lang(pl) %{_mandir}/pl/man1/%{name}*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: poldek.spec,v $
Revision 1.82.2.19  2004/10/31 12:33:56  ankry
- R: ed for trigger, rel. 6

Revision 1.82.2.18  2004/10/15 01:24:36  ankry
- distributed ftp support, trigger, rel. 5

Revision 1.82.2.17  2004/10/15 00:56:04  ankry
- reversed: no need for 0.18.6 in ra

Revision 1.82.2.16  2004/07/20 00:09:32  arekm
- update to 0.18.6

Revision 1.82.2.15  2004/07/08 09:11:22  qboosh
- cleanup whitespace

Revision 1.82.2.14  2004/07/08 09:07:45  qboosh
- BR: ac,am

Revision 1.82.2.13  2004/07/08 08:51:13  qboosh
- merged sigsegv patch from Ac (applies to 0.18.3 as well); release 4

Revision 1.82.2.12  2004/03/19 13:10:29  ankry
- massive change: BR: openssl-devel >= 0.9.6m

Revision 1.82.2.11  2004/02/17 08:31:01  ankry
- rel.3: 1,2 are in ac

Revision 1.82.2.10  2004/02/16 21:30:57  ankry
- trigger

Revision 1.82.2.9  2004/02/16 16:15:31  eothane
- bcond style, changelog cleanups

Revision 1.82.2.8  2004/02/07 23:46:18  qboosh
- updated md5

Revision 1.82.2.7  2004/02/07 23:18:28  arekm
- update to 0.18.3 (poldek from ra segfaults when reading ac indexes)

Revision 1.82.2.6  2003/07/29 11:53:56  blues
- cosmetics

Revision 1.82.2.5  2003/07/16 12:47:48  ankry
- added -deps-fix patch by mis, rel. 10

Revision 1.82.2.4  2003/07/13 17:26:55  martii
- db1 and db3 static BR missing for --with static bcond

Revision 1.82.2.3  2003/07/11 12:03:51  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.82.2.2  2003/06/18 20:12:20  blues
- release 9, fixed URLs in poldek.conf

Revision 1.82.2.1  2003/02/21 09:08:41  blues
- release 8 - uncomment updates general and make it noauto, use poldeks pri
  entry for security entry. STBR to RA updates general

Revision 1.82  2002/11/23 10:18:41  djrzulf
- STBR !
- Release 7,
- s/securirity/security/ at poldek.conf

Revision 1.81  2002/11/22 19:01:30  kloczek
- release 6: corrected ra-updates-* repositories paths.

Revision 1.80  2002/11/21 21:48:03  kloczek
- release 5: changes in default poldek.conf file:
- added commneted ra-updates-general packages repository,
- added uncommented ra-updates-security packages repository.

Revision 1.79  2002/11/14 19:26:27  mis
- yet another bugfix patch

Revision 1.78  2002/11/14 16:52:52  mis
- corrected name of the patch

Revision 1.77  2002/11/14 16:51:13  mis
- another bugfix patch; rel 4; stbr

Revision 1.76  2002/11/12 20:23:56  jack
- Changed location of Ra+2.4.1{8,9} packs for i686. 
  Now they are in the same place as i586 - I think macro in poldek.spec 
  should replace i686 to proper %target_cpu, so please check it first
- bumped release.

Revision 1.75  2002/11/12 12:34:55  mis
- +poldek-vfprogress.patch; release 2

Revision 1.74  2002/11/09 15:11:33  qboosh
- removed BR: db3-devel - db version is determined by rpm

Revision 1.73  2002/11/08 21:52:57  kloczek
- s/db/db3/ in BuildRequires rules.

Revision 1.72  2002/11/07 18:17:55  mis
- updated to 0.18

Revision 1.71  2002/10/28 16:12:52  zytek
- rel++, removed GNOME2-Pack from poldek.conf

Revision 1.70  2002/10/20 18:23:03  mmazur
- from DEVEL

Revision 1.69.2.3  2002/10/15 17:17:26  misiek
- new fixed from mis; rel 2

Revision 1.69.2.2  2002/10/15 08:13:54  wiget
- now compiles

Revision 1.69.2.1  2002/10/14 12:25:45  misiek
- rpm4 snap

Revision 1.69  2002/10/11 12:11:18  gotar
- typo

Revision 1.68  2002/10/05 11:26:27  gotar
- added Requires: sed (cdid function in vfjuggle)

Revision 1.67  2002/09/20 16:24:01  mis
- updated to 0.17.9; fixed 'sed s/i686/ARCH/' problem; stbr

Revision 1.66  2002/09/11 22:13:05  jack
- Bumped release coz modified poldek.conf (corrected and added sources to Ra-Pack)
- STB, please

Revision 1.65  2002/09/06 12:24:35  blues
- release 3 - removed KDE3-Pack from poldek.conf - STBR after moving KDE3
  from /test

Revision 1.64  2002/08/25 00:26:03  qboosh
- GPL v2

Revision 1.63  2002/08/24 22:57:29  krzak
- fixed source URL
- release 2

Revision 1.62  2002/08/22 16:16:10  mis
- updated to 0.17.8

Revision 1.61  2002/08/08 13:23:37  qboosh
- typo patch: fix for typo in pl.po
- epoch patch: fix for Epoch-related bug in obsoletes processing
  (broke ls -u cache, processing orphaned packages and probably greedy option)
- release 2 (better /test first...)

Revision 1.60  2002/06/14 16:16:00  mis
- updated to 0.17.7

Revision 1.59  2002/06/08 21:55:15  undefine
- poldek static requires pcre-static and db1-static

Revision 1.58  2002/06/08 20:58:34  filon
- added missiong lanaguage files (using find_lang)
- new %doc
- release 2

Revision 1.57  2002/06/03 15:56:44  mis
- updated to 0.17.6

Revision 1.56  2002/05/15 18:12:55  mis
- updated to 0.17.5; stbr

Revision 1.55  2002/05/06 17:05:06  mis
- update to 0.17.4
- temporary removed linking with sys installed trurlib cause to its
  frequent changes

Revision 1.54  2002/04/23 09:43:08  mis
- STBR

Revision 1.53  2002/04/21 16:38:25  mis
- updated to 0.17.3

Revision 1.52  2002/04/09 12:20:44  malekith
- patch should be applaied, not only included :)

Revision 1.51  2002/04/09 12:16:40  malekith
- rel 3
- added patch that fixes bug in handling vfjuggle

Revision 1.50  2002/04/06 12:08:39  malekith
- added --without curl bcond

Revision 1.49  2002/04/04 09:13:51  orzech
- added ra-supported to poldek.conf, STBR

Revision 1.48  2002/03/29 01:26:32  mis
- updated to 0.17.2

Revision 1.47  2002/03/27 12:13:50  mis
- pl description corrections

Revision 1.46  2002/03/27 10:24:09  mis
- fixed source URL; added URL tag

Revision 1.45  2002/03/27 10:21:16  mis
- PLD poldek.conf moved (and fixed) to SOURCES; rel 2; stbr

Revision 1.44  2002/03/26 23:42:02  mis
- updated to 0.17.1

Revision 1.43  2002/03/26 00:11:34  mis
- fixed preparation of poldek.conf

Revision 1.42  2002/03/25 23:52:50  mis
- updated to 0.17

Revision 1.41  2002/03/16 12:30:36  malekith
- removed BOOT
- --without imode bcond added
- more pl desc

Revision 1.40  2002/03/15 11:48:21  mis
- requires trurlib 0.43.4; rel 3; STBR as soon as possible

Revision 1.39  2002/02/23 04:25:49  kloczek
- adapterized.

Revision 1.38  2002/02/22 23:29:36  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.37  2002/02/11 23:19:47  qboosh
- BR popt-devel, popt-static only when building statically
- adapterized, release 2

Revision 1.36  2002/01/31 09:41:06  mis
- added 'static' bcond

Revision 1.35  2002/01/30 18:29:45  mis
- autoupdated to 0.16

Revision 1.34  2002/01/18 02:14:38  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.33  2002/01/11 16:43:51  mis
- autoupdated to 0.15.9

Revision 1.32  2001/10/29 11:13:45  mis
- autoupdated to 0.15.8

Revision 1.31  2001/10/11 15:10:27  mis
- fixed source URL; release 2 (may be STB)

Revision 1.30  2001/10/10 14:41:10  mis
- updated to 0.15.7; STB

Revision 1.29  2001/09/20 10:10:14  mis
- STB

Revision 1.28  2001/09/13 10:06:23  filon
- rebuild with optimized zlib-static, release 2

Revision 1.27  2001/09/12 16:33:33  mis
- trurlib 0.43.3 is needed

Revision 1.26  2001/09/12 16:28:04  mis
- updated to 0.15.6
- added global config

Revision 1.25  2001/08/28 12:06:58  filon
- chagded BuildReq: pod2man to perl-devel

Revision 1.24  2001/08/22 17:30:39  filon
- changed BuilReq:/usr/bin/pod2man to pod2man

Revision 1.23  2001/07/20 16:42:27  mis
- updated to 0.15.5

Revision 1.22  2001/07/17 16:12:09  mis
- updated to 0.15.4

Revision 1.21  2001/07/16 20:32:30  kloczek
- reorder BuildRequires rules.

Revision 1.20  2001/07/16 18:38:31  kloczek
- added rpm-static to BuildRequires if %%{BOOT}.

Revision 1.19  2001/07/16 15:19:03  mis
- updated to 0.15.3

Revision 1.18  2001/07/13 15:18:20  mis
- updated to 0.15.2

Revision 1.17  2001/06/28 14:28:13  mis
- updated to 0.15.1

Revision 1.16  2001/06/27 19:20:27  klakier
- removed rpmvercmp from -BOOT
- added debug options to -BOOT (do not work, though))

Revision 1.15  2001/06/27 18:32:55  klakier
- removed -m386

Revision 1.14  2001/06/27 18:09:22  mis
- updated to 0.15

Revision 1.13  2001/06/18 11:31:31  mis
- updated to 0.14.1

Revision 1.12  2001/06/12 18:14:19  mis
- updated to 0.14

Revision 1.11  2001/05/22 23:29:59  klakier
- added -m386 to BOOT

Revision 1.10  2001/05/21 13:27:54  klakier
- more buildrequires

Revision 1.9  2001/05/18 22:28:24  serek
- popt-static added to buildrequires.

Revision 1.8  2001/05/18 18:58:16  mis
- autoupdated to 0.13

Revision 1.7  2001/05/18 12:31:56  roman
- added polish Summary and %description.

Revision 1.6  2001/05/11 14:06:55  klakier
- fixed BuildRequires

Revision 1.5  2001/04/27 20:09:10  kloczek
- finam cleanups.

Revision 1.4  2001/04/27 14:24:43  wiget
- fix buildrequires

Revision 1.3  2001/04/27 14:08:11  klakier
- removed rpmvercmp from BOOT

Revision 1.2  2001/04/23 11:43:26  klakier
- ver 0.12
- added BOOT package

Revision 1.1  2000/09/25 00:00:09  mis
- initial version
